FEDORA CORE 4

Ahoj, mám nainstalovanou fedoru 4ku i386.

Rad bych se zeptal, zda-li existuji jiz pripravene balicky pro aktulizaci PHPcka na vyssi verzi atd. Hledal jsem na netu a moc jsem toho nenasel, kdyz jsem nasel UPDATE na 5.1.cosi tak jsem balicek pres firefox stahnul a zkusil nainstalovat, ale psalo mi to cosi o dalsi zavyslosti balicku, tak nevím jak to dohromady nainstalovat, jsem zacatecnik. Diky moc Tomas

Zdravím,
zkuste “yum update php” - v repozitářích, které mám nastavené podle zdejších FAQ (http://www.fedora.cz/faq_fedora.html#getsoftware), je php 5.0.4. To by mohlo stačit, ne? Jste-li začátečník, pak vám tady instalovat nebo updatovat jakkoli jinak než pomocí yumu nikdo nedoporučí.

Zdravim, dekuji, ale pise mi to toto:

[root@fedora ~]# yum update php
Traceback (most recent call last):
File “/usr/bin/yum”, line 28, in ?
import yummain
File “/usr/share/yum-cli/yummain.py”, line 24, in ?
import cli
File “/usr/share/yum-cli/cli.py”, line 29, in ?
import output
File “/usr/share/yum-cli/output.py”, line 27, in ?
from yum.misc import sortPkgObj
ImportError: cannot import name sortPkgObj
[root@fedora ~]#

Uy jsem nasel na fedora.redhat.com update yuma a uz mi to nejak jede, muzes mi nejak vysvetlit jak to funguje,… ??? Diky

A jako co jak funguje?:slight_smile:

no ten slavny YUM udelal jsem yum update php a updatovalo mi to stejne PHP 5.0.4 co jsem tam uz mel …

No ano, ve standardnich repozitarich pro FC4 jine php zrejme neni… pouze se stahla aktualizovana verze s opravenymi chybami.

Jak funguje yum se dozvis z
man yum

pokud chces zkusit nainstalovat novejsi pak stahni rpm php 5.1neco a dej

yum localinstall php-5.1neco*.rpm

Pokud to bude mozne nainstalovat pak se to nainstaluje. Pokud ne, je to zrejme mimo tvoje moznosti, nebo mimo moje vysvetlit jak to nainstalovat.

Super diky, to mi uplne staci … Zkusim to …

Nemas zkusenosti s balickem:

http://www.ioncube.com/loaders.php

???

Nevim jak to nainstalovat a zprovoznit …

Ano, tvuj dotaz jsem cetl. Zadne zkusenosti s tim nemam. Obavam se ze sis ukousl moc velky krajic. Je tam navod: http://www.ioncube.com/loader_installation.php
vic nevim.